View Issue Details

IDProjectCategoryView StatusLast Update
0000513Ham Radio DeluxeBugpublic2018-12-01 08:08
ReporterW4PC 
Assigned ToW4PC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindows 7OS Version64-bit Pro
Product Version 
Target VersionFixed in Version6.2.4 
Summary0000513: Elecraft: Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3
DescriptionConnected to a K3, the Tune-Main & Tune-Sub are erratic. For instance to change from 15M to 20M. You have to click on the target band a number of times, and Logbook keeps reverting to your previous band.

It appears that if you select the new band 3 times consecutively, the K3 finally stays on the new band.
Steps To ReproduceConnect to a K3 and try it.
TagsElecraft, K3
ModuleRig Control
Sub-Module(select)
Testing

Relationships

Activities

WA9PIE

2014-01-19 23:40

administrator   ~0000129

All these are pending the 6.2 release.

WA9PIE

2014-01-27 23:53

administrator   ~0000153

Per K6MKF

Connected to a K3, the Tune-Main & Tune-Sub are erratic. For instance to change
from 15M to 20M. You have to click on the target band a number of times, and
Logbook keeps reverting to your previous band.

It appears that if you select the new band 3 times consecutively, the K3 finally
stays on the new band.

Steps to Reproduce:
Connect to a K3 and try it.

W4PC

2014-01-28 00:10

updater   ~0000154

set VFO IND to Yes and it will work 100%, there is an issue with the firmware if VFO IND is set to no... Wayne at Elecraft knows about this.. had an issue with QSX doing the same thing.

WA9PIE

2014-08-18 15:04

administrator   ~0000518

Cleaning up closed items already marked "Resolved".

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2013-12-28 01:34 WA9PIE Project @5@ => 3 - Current Dev List
2014-01-19 23:40 WA9PIE Status new => acknowledged
2014-01-19 23:40 WA9PIE Note Added: 0000129
2014-01-19 23:42 WA9PIE Status acknowledged => assigned
2014-01-19 23:42 WA9PIE Assigned To => W4PC
2014-01-27 23:53 WA9PIE Note Added: 0000153
2014-01-28 00:10 W4PC Note Added: 0000154
2014-01-28 00:11 W4PC Release => (select)
2014-01-28 00:11 W4PC Fix Build => 6.1.189
2014-01-28 00:11 W4PC Module => (select)
2014-01-28 00:11 W4PC Sub-Module => (select)
2014-01-28 00:11 W4PC Report Build => (select)
2014-01-28 00:11 W4PC Status assigned => resolved
2014-01-28 00:11 W4PC Resolution open => fixed
2014-02-02 15:27 WA9PIE Summary Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3 => Bug: Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3
2014-03-25 21:12 WA9PIE Summary Bug: Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3 => Bug: Elecraft: Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3
2014-05-27 14:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-05-27 14:39 WA9PIE Category Logbook => General
2014-08-18 15:04 WA9PIE Note Added: 0000518
2014-08-18 15:04 WA9PIE Status resolved => closed
2015-09-30 12:35 WA9PIE Fix Build 6.1.189 => (select)
2015-09-30 12:35 WA9PIE Proposed Release => TBD
2015-09-30 12:35 WA9PIE Summary Bug: Elecraft: Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3 => Elecraft: Logbook Tune-Main & Tune-Sub Band Switch Functions Erratic With K3
2015-09-30 13:18 WA9PIE Module (select) => Rig Control
2015-09-30 13:34 WA9PIE Category General => Bug
2017-06-19 19:43 WA9PIE Fixed in Version => 6.2.4
2018-12-01 08:08 WA9PIE Tag Attached: Elecraft
2018-12-01 08:08 WA9PIE Tag Attached: K3